Bug 26695 - Failure of the scanning functions of HP multi-function-printer HP MFP 283
Summary: Failure of the scanning functions of HP multi-function-printer HP MFP 283
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 7
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: All Packagers
QA Contact:
URL:
Whiteboard:
Keywords: Triaged
Depends on:
Blocks:
 
Reported: 2020-05-28 06:16 CEST by Rod Goslin
Modified: 2020-09-25 19:25 CEST (History)
7 users (show)

See Also:
Source RPM: hplip-3.19.5-1.mga7.src.rpm
CVE:
Status comment:


Attachments

Description Rod Goslin 2020-05-28 06:16:59 CEST
Description of problem:
A general failure to assign functionality to (specifically) the HP MFP 283 fdw. I've recently purchased this printer/scannet to replace a similar HP printer without scanner abilities. Setting up this device in Mga7, presented few difficulties, and as a printer the machine works well, with full functionality of printer options.
However, there is no functionality of the scanner side of the device. None of the scanning functions in Mageia (gimp, etc) find any scanning ability relating the the printer/scanner. On the system is an Epson scanner (USB), which works perfectly, but being USB connected is not available on the LAN. In the MCC the scanner setup does not apply to multi function printers. A line in the setup selection specifically states that scanner functions of MFP machines are specifically done through the printer setup facility. The printer setup does include this particular machine (MFP M283, or rather it's class M278 to 281. This is no concern the M283 is simply the same printer with slightly different options i.e, it has wifi connectivity. Even HP have not brought this fully into their documentation. The User Manual, which apertains to this device is still titled m278 - 281.A couple of years ago, I did have the same problem with an HP MFP M180n, but since I was not intending to user the scanner functionality, I took no action

Version-Release number of selected component (if applicable):
Mga 7 (and earlier, on on Mga 5)


How reproducible:
total rereproducability


Steps to Reproduce:
1. Install printer, 
2.try to locate the functionality operations for the use of the scanner (iscan, gimp etc)
3.
Morgan Leijström 2020-05-28 21:02:17 CEST

CC: (none) => fri
Product: Infrastructure => Mageia
Version: unspecified => 7
Assignee: sysadmin-bugs => bugsquad
Target Milestone: --- => Mageia 7
Component: BuildSystem => RPM Packages

Comment 1 Lewis Smith 2020-06-01 20:52:00 CEST
Sorry for the slow reply.
Can you say how the device is connected? You imply *not* USB.

> In the MCC the scanner setup does not apply to multi function printers.
> A line in the setup selection specifically states that scanner functions
> of MFP machines are specifically done through the printer setup facility.
> The printer setup does include this particular machine (MFP M283,
> or rather it's class M278 to 281.
You did not say whether this 'printer' setup shows any sign of the scanner function.

For basic diagnostics:
 $ scanimage -L          [lists known devices]
 $ sane-find-scanner     [look for 'found' in the O/P]

This link might be useful:
 https://wiki.archlinux.org/index.php/SANE
Await your feedback.

Summary: Failure of the scanning functions of HP multi-function-printers => Failure of the scanning functions of HP multi-function-printer HP MFP 283
CC: (none) => lewyssmith

Comment 2 Rod Goslin 2020-06-01 22:05:56 CEST
Initially, the printer was setup with an ethernet connection, but later, it was connected by wifi. I've also setup the printer with Maga5, although in this case the option for setting up an HP 283 is absent, but another HP multifunction worked fine. But still without scanner options. . I mentioned that an earlier printer, an HP MFP M180n also has no scanner ability, but, in this case setup was not so straightforward
Both the Mga5 (this machine) and the Mga7 machines have sane loaded. scanimage -L on Mga5 finds no scanner. The same command on the mga7 mchine does find the scanner on the HP MFP M183. The sane-find-scanner command found no scanners on either machine. On the other hand, this command, according to the readout, only looks for scsi and usb connected scanners. The latter command run as root. To round it off, I also ran both commands when the M180n was powered up. Neither command located that scanner.
Comment 3 Aurelien Oudelet 2020-07-29 21:56:53 CEST
Hi, I propose you several questions:

1) What exactly HP multi-function printer model would you configure?
HP 283 seems to be supported by hplip.
Have you use "hplip" to configure your Printer with your PC?
Here is link to supported HP printers and multi-functions printers in Linux:
https://developers.hp.com/hp-linux-imaging-and-printing/supported_devices/index

hplip is normally installed with task-printing-hp RPM meta-package.

If not installed on your system, you should try find it in rpmdrake GUI.
Or please open a console window (Konsole in Plasma, for example) and as root user do:
# urpmi task-printing-hp task-scanning

Note: It is a good idea to install also task-scanning meta-package.

Restart your computer and run HPLIP from Application Menu.

Also,
2) Have you enabled shorewall (the default firewall shipped by Mageia 7)?

Seems that by design, shorewall in its default configuration drops network connection between network multi-functions printers and PC.
See https://bugs.mageia.org/show_bug.cgi?id=26912

If shorewall activated, you should try determine which port is receiving data from your network printer. To do so, open a console and do "journalctl -f" and  see logs from shorewall when programs try to communicate with your printer and please attach here results for me to help you.

Please feedback,
Regards,

Keywords: (none) => NEEDINFO
Severity: major => normal
Source RPM: Not known => hplip-3.19.5-1.mga7.src.rpm
See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=26912
CC: (none) => ouaurelien

Comment 4 Rod Goslin 2020-07-30 01:30:13 CEST
Yes. HPLIP is installed, but does not find either of the MFP printers. It does in fact locate an HP1320 mono printer which does for offhand prints, which are destined for the basket anyway.
However, the bug report is specifically aimed at a problem within the function setup system (MCC), which does not work. In my first submission of this problem, I quote "A line in the setup selection specifically states that scanner functions of MFP machines are specifically done through the printer setup facility.". The actuallity is different. The printer installs without problem, and works well. As a printer. There are no dropped connections. It all works as it should. AS A PRINTER. However THERE IS NO SCANNER FUNCTION WITHIN THE SETUP. I cannot setup the scanner as a separate device because the MCC directs me back to the printer setup "where the scanner will be installed". If only.
I really like Mageia, and have been using it since it was Mandrake 7.2. Unlike other Linux distro's it has not been dumbed down into a caricature of MS, and still holds true, to an extent, to it's UNIX forbears. When I had to work for a living, I spent a good few years as Systems Administer to a Solaris group, and was impressed. It was logical, and just worked. I only wish that Mageia was the same. Increasingly, aspects of the OS are broken, or function under par. Windows and Android do not appear to have these problems and setup in seconds and work consistently.. Sad to relate, if I need to scan a document, I have to use Android on my phone, or tablet to scan the sheet, and then copy it to Mageia to work on it. Or, I can turn on my old Epson v370 Photo USB scanner ahich does work, and works well on Mageia
Comment 5 Aurelien Oudelet 2020-07-30 05:41:39 CEST
Hi Rod, thanks to reply,

So your HP MFP printer is recognized and works as expected for printing tasks.
I'm glaad it functions. But I'm sad scanning does not.

Which program do you use for that? As of today, when user setups MFP printers, scanning tasks are setup in background by SANE backend.

I suggest you use the simple-scan program available in application menu. If this programs can not see your MFP scanner, there is something wrong with network communication between your PC AND your MFP scanning functions.
This uses not the same TCP ports than printing tasks.

I still suspect firewall bad setup.
1) Do you use Shorewall in MCC it is Drakfirewall?
2) if so, please do from a console "journalctl -f"
3) run from an other console, "simple-scan" and export here there outputs?
Comment 6 Aurelien Oudelet 2020-08-24 20:54:25 CEST
(In reply to Rod Goslin from comment #4)
> Yes. HPLIP is installed, but does not find either of the MFP printers. It
> does in fact locate an HP1320 mono printer which does for offhand prints,
> which are destined for the basket anyway.
> However, the bug report is specifically aimed at a problem within the
> function setup system (MCC), which does not work. In my first submission of
> this problem, I quote "A line in the setup selection specifically states
> that scanner functions of MFP machines are specifically done through the
> printer setup facility.". The actuallity is different. The printer installs
> without problem, and works well. As a printer. There are no dropped
> connections. It all works as it should. AS A PRINTER. However THERE IS NO
> SCANNER FUNCTION WITHIN THE SETUP. I cannot setup the scanner as a separate
> device because the MCC directs me back to the printer setup "where the
> scanner will be installed". If only.
> I really like Mageia, and have been using it since it was Mandrake 7.2.
> Unlike other Linux distro's it has not been dumbed down into a caricature of
> MS, and still holds true, to an extent, to it's UNIX forbears. When I had to
> work for a living, I spent a good few years as Systems Administer to a
> Solaris group, and was impressed. It was logical, and just worked. I only
> wish that Mageia was the same. Increasingly, aspects of the OS are broken,
> or function under par. Windows and Android do not appear to have these
> problems and setup in seconds and work consistently.. Sad to relate, if I
> need to scan a document, I have to use Android on my phone, or tablet to
> scan the sheet, and then copy it to Mageia to work on it. Or, I can turn on
> my old Epson v370 Photo USB scanner ahich does work, and works well on Mageia

We, at Mageia, are looking each bug reported to distribution carefully.
In fact, I suspect you are affected by this bug:
https://bugs.mageia.org/show_bug.cgi?id=26912

I think you activated our firewall and it prevent local legitimate programs like scanner tools to communicate with your networked MFP.

Ever confirmed: 1 => 0
Status: NEW => UNCONFIRMED

Comment 7 Aurelien Oudelet 2020-08-24 21:06:35 CEST
This bug is for global consideration, no specific maintainer.
Assigning to all packagers.

Ever confirmed: 0 => 1
Keywords: NEEDINFO => (none)
Status: UNCONFIRMED => NEW
Source RPM: hplip-3.19.5-1.mga7.src.rpm => hplip-3.19.5-1.mga7.src.rpm, shorewall
Assignee: bugsquad => pkg-bugs

Lewis Smith 2020-08-24 21:18:27 CEST

CC: lewyssmith => (none)

Comment 8 Rod Goslin 2020-09-08 18:49:56 CEST
I fail to see how the firewall can be seen as a problem in communication. The printer side of the issue works fine, and does everything that I'd expect a networked printer to do. MCC Gan see the printer, but fails to indicate that it has any scanning facilities. hardly a communication problem
Comment 9 Dave Hodgins 2020-09-08 19:19:54 CEST
According to https://support.hp.com/us-en/product/hp-jetdirect-2900nw-print-server-series/8362163/document/c02480766
the hp printers use a wide variety of tcp ports for different functions.
The print and scan functions do not use the same ports.

To confirm it is a firewall problem, add the lines ...
ACCEPT  net:10.0.0.0/8 fw
ACCEPT  net:169.254.0.0/16 fw
ACCEPT  net:172.16.0.0/12 fw
ACCEPT  net:192.168.0.0/16 fw

to /etc/shorewall/rules.drakx

and restart shorewall with "systemctl restart shorewall.service".
That will open up the firewall for connections from any system on the lan.

CC: (none) => davidwhodgins

Comment 10 Rod Goslin 2020-09-09 00:32:33 CEST
OK, done. MCC reports that shorewall service is running.
How do I test that the measure is having some effect? Gimp, simple scan, xsane, and  'Aquireimages' still only 'see' the Epson flatbed scanner on USB.
Comment 11 Rod Goslin 2020-09-09 00:39:09 CEST
BTW, it may be significant that hplip does not see the MFP printer (Either of them!), but does see a laserjet 1320 monochrome printer, also on the LAN. Despite this, the printer function on bothe MFP printers are unimpaired.
Comment 12 Dave Hodgins 2020-09-09 06:39:05 CEST
I don't know specifically how cups or sane are supposed to find network printers
and scanners, or if they are even supposed to, in which case it would be
up to the system admin to use something like nmapfe to search the local lan
to identify the devices and manually provide the info to cups and sane.

Adding the maintainers of cups and sane to the cc list.

CC: (none) => thierry.vignaud

Dave Hodgins 2020-09-09 06:40:55 CEST

CC: (none) => lists.jjorge

Comment 13 Rod Goslin 2020-09-09 18:11:11 CEST
I don't want to seem to be indulging in carping criticism, but if Linux, in general, wishes to be considered as a funtioning general OS, things like the inability to setup MFP devices needs to be sorted out.It's not as if MFP was something new. MS Windows has no problems with MFP, and Android, which I consider a travesty of a Linux based OS, took less than five minutes to set up, satisfactorily, my Multi Function Printers
Unfortunately, this is only one of the problem areas. Some years ago (2017) I opened a ticket regarding the problems of mounting SMB shares. The ticket was closed without any work being done. I recently reactivated this issue, again, without any apparent action. I recently installed Mga 7 on a new Lenovo ThinkCcentre, which totally failed to find any of the three SMB servers, and I had to install them manually by writing in the entries in fstab and the associated Credential areas. Similarly, installing the software for Bluetooth utterly failed after buying near to a dozen Bluetooth adaptors of various manufacture. Then there was the problem with setting up a VPN for NordVpn, which too failed to work. Konqueror, arguably the very best File Manager that I have ever come across, has been deprecated and functions I consider as essential stripped out. This I understand is not a Mageia problem, but down to KDE, who seem to have lost their minds. The list goes on.I do like Mageia, which I consider to be the best of the Linux distro's, is one of the few Unix based Linux systems which have adhered (largely)to the Unix philosophy that I worked in, some years back
Comment 14 José Jorge 2020-09-09 18:34:17 CEST
(In reply to Rod Goslin from comment #13)
> Unfortunately, this is only one of the problem areas.

This is open source, not open bar. If no one else works on it, it's sign you can do something to make it better. Sometimes, we only need a simple user who follows the problem and contacts people until it gets fixed. Would you?
Comment 15 Rod Goslin 2020-09-09 20:33:31 CEST
Would that I could. But I was rather late into IT. For most of my life, i've been a Production Engineering Design Draughtsman. Give an draughting machine and a large supply of paper, I can (and have) designed all the tooling required for the manufacture of industrial diesel engines. It was only when my then, current employer decided that they did not require designers who knew what they were doing, and were prepared to accept responsibility for what they produced, but, instead employed managers who didn't know what they were doing, to subcontract the work, so that they could devolve responsibility for what they had signed for. So, I slipped into IT, running the Computer Aided Design facility. But running it, and creating it, apart from a few aspects, is something else again. From my point of view, instead of things getting simpler and more robust, they seem to be getting more complicated, and opaque. I can see and demonstrate the problems, but the execution of the software is out of my reach. Which possibly explains why so much software is not really fit for purpose. As a draughtsman, I have seen introduced into CAD, functionallity which no draughtsman  would ever want or use.
In case you are thinking that I'm unfairly slating Mageia, consider the following on Android NordVPN. At random intervals the 'phone will lose the connection to the server. Logically, it should then re-connect and all will be well. However, all that happens, is that the display shows "Re-connecting". It will do this forever. I've left it for a period of hours and it entirely fails to connect. You cannot interrupt the procedure. You have to move to a global map depicting all the available servers. Click on one at random. Any one. The phone will instantly connect to that server. You can then click on your preferred server, and it will instantly connect to that one, instead.
Comment 16 Morgan Leijström 2020-09-09 22:52:48 CEST
You could maybe also turn to printer manufacturer to push for reasonable support.
Driver, instructions, checking tools...
And simplifications... ;)

Big companies sell, and then put their nose in the sky.
Could not use my Canon printer for a couple months after CUPS update which removed deprecated commands that have been deprecated for ages but Canon still did not fix until many users complained...

For scanner i still use an Epson slightly over 20 years old on USB, it just works.
Comment 17 Rod Goslin 2020-09-10 03:06:33 CEST
I too, use an Epson flatbed scanner. Not from choice, but necessity, since my sophisticated Multi Function printer/scanner/copier does not work on my Operating System of choice. It cannot be said that this is a failing of Linux, since Android, on which the MFP does work, is a cheap and nasty knock-off of Linux
Comment 18 Martin Whitaker 2020-09-18 00:12:51 CEST
Rod, first let me say that I think you have unreasonable expectations. Yes, MS Windows and Android handle new hardware better than Mageia, but that's because  Microsoft and Google pay engineers to make that happen. Mageia doesn't have that luxury. Everyone involved is a Mageia user just like you, doing what they can in their limited free time to the best of their ability.

I suspect your problem is that support for your MFD was added in hplip 3.19.12, and Mageia 7 only has hplip 3.19.5. Please test with one of the Mageia 8-beta1 Live ISOs, which has hplip 3.20.6.

CC: (none) => mageia

Comment 19 Rod Goslin 2020-09-18 03:18:59 CEST
Um. I have to disagree on this. I feel that any product offered to the public should be suitable for purpose in all parts, and patently, this is not the case here.
However.
I downloaded the Mga 8 beta1 Live DVD and booted another machine up, with this. When all was running I installed the HP MFP. Here, the printer installed perfectly, as a aprinter, producing a satisfactory test print. There was no mention on the install of any scanner function, but on installing the Gimp SANE plugin there was an option to invoke the scanner, and this was correctly identified. However, on opening up the scanning function, whilst the application clearly 'saw' the scanner, and offering a "start scanning" option, scanning failed with an error messge to the effect that it was unable to connect to the scanner.
Out of interest, I also looked at MCC scanner setup, and that too had been able to see the scanner function on the printer, correctly ientified

As a BTW, I was a bit horrified on opening Gimp to find everything in white print over dark shades of grey. By trade, I'm a draughtsman, and it has alkways been impressed that everything should be clear and concise. There is no art in product production. It's a tool, short and simple, and anything which makes for clarity, rules.
i hope this helps to a successful conclusion of Mga 8. If there is anything you wish trying out , I;m prepared to fully install on the machine I'm presently running the LIVE dvd on.
Comment 20 Martin Whitaker 2020-09-18 10:57:02 CEST
But Mageia is not a product. It is a community project. If you want it to work on *your* hardware, *you* need to help make that happen. Why do you expect other people to do this for you?

As for the GIMP UI colour scheme, other people have complained about that, but that is a choice made by the GIMP developers. Complain to them - maybe you can persuade them to change their minds. It is configurable though, so you can change it to something you prefer.

Back to this bug. When booted into the Live system, open a terminal window and type

  su -
  journalctl -f

Then open a second terminal window and type

  simple-scan

then attempt to scan. Copy and paste here any messages that appear in either terminal window.
Comment 21 Rod Goslin 2020-09-18 19:07:56 CEST
Ok, done that.
The output of simple-scan, was for the application window to appear, with the message "Searching for scanners". This changed to "Ready to Scan", with a box with the scanner name (HP_colorlaserjet_MFP_M282-M285). Clicking on the 'Scan' option, brought up a dialog box with the message "failed to scan", and "unable to connect to scanner"
There was nothing printed to the command line 'simple-scan. The following is the output of journalctl -f, in total

live@localhost ~]$ su
[root@localhost live]# journalctl -f
-- Logs begin at Fri 2020-09-18 01:53:14 BST. --
Sep 18 18:57:38 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/org/kde/plasma/components/Highlight.qml:47:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 18:57:38 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ScrollViewStyle.qml:60:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 18:57:38 localhost plasmashell[3014]: file:///usr/share/plasma/plasmoids/org.kde.plasma.kicker/contents/ui/ItemListDialog.qml:51: TypeError: Cannot read property 'separatorCount' of null
Sep 18 18:57:38 localhost plasmashell[3014]: trying to show an empty dialog
Sep 18 18:57:40 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/org/kde/plasma/components/Highlight.qml:47:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 18:57:41 localhost systemd[2552]: Started apps-org.kde.konsole-62bf7996f4a2496ab67e5ee5276b4fe4.scope.
Sep 18 18:57:41 localhost kwin_x11[2775]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 28560, resource id: 41944373, major code: 18 (ChangeProperty), minor code: 0
Sep 18 18:57:41 localhost plasmashell[3014]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:285:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 18:57:47 localhost su[111208]: (to root) live on pts/0
Sep 18 18:57:47 localhost su[111208]: pam_unix(su:session): session opened for user root by live(uid=1000)
Sep 18 18:58:20 localhost kwin_x11[2775]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 34470, resource id: 19082484, major code: 2 (ChangeWindowAttributes), minor code: 0
Sep 18 18:58:59 localhost plasmashell[3014]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:285:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:06 localhost org_kde_powerdevil[3059]: powerdevil: Scheduling inhibition from ":1.19" "" with cookie 11 and reason "Scan in progress"                                
Sep 18 19:01:06 localhost org_kde_powerdevil[3059]: powerdevil: Scheduling inhibition from ":1.19" "Simple-Scan" with cookie 12 and reason "Scan in progress"                     
Sep 18 19:01:06 localhost simple-scan[111362]: common/utils.c 245: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Sep 18 19:01:06 localhost simple-scan[111362]: common/utils.c 142: unable to find [plugin] version in /var/lib/hp/hplip.state
Sep 18 19:01:06 localhost simple-scan[111362]: common/utils.c 162: validate_plugin_version() Failed to get Plugin version from [/var/lib/hp/hplip.state]
Sep 18 19:01:06 localhost simple-scan[111362]: common/utils.c 206: Plugin version is not matching
Sep 18 19:01:06 localhost simple-scan[111362]: common/utils.c 277: Invalid Library hanlder pLibHandler = NULL.
Sep 18 19:01:06 localhost org_kde_powerdevil[3059]: powerdevil: Releasing inhibition with cookie  12                                                                              
Sep 18 19:01:06 localhost org_kde_powerdevil[3059]: powerdevil: It was only scheduled for inhibition but not enforced yet, just discarding it                                     
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: Enforcing inhibition from ":1.19" "" with cookie 11 and reason "Scan in progress"                                 
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: Added change screen settings                                                                                      
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: Added interrupt session
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: Disabling DPMS due to inhibition                                                                                  
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: Enforcing inhibition from ":1.19" "Simple-Scan" with cookie 12 and reason "Scan in progress"                      
Sep 18 19:01:10 localhost org_kde_powerdevil[3059]: powerdevil: By the time we wanted to enforce the inhibition it was already gone; discarding it                                
Sep 18 19:01:11 localhost org_kde_powerdevil[3059]: powerdevil: Can't contact ck
Sep 18 19:01:18 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ScrollViewStyle.qml:60:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:18 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:18 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:18 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:18 localhost plasmashell[3014]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationHeader.qml:78:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ScrollViewStyle.qml:60:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/lib64/qt5/qml/QtQuick/Controls/Styles/Plasma/ToolButtonStyle.qml:209:13: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 18 19:01:19 localhost plasmashell[3014]: file:///usr/share/plasma/plasmoids/org.kde.plasma.notifications/contents/ui/NotificationHeader.qml:78:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Comment 22 Rod Goslin 2020-09-18 19:18:44 CEST
Journalctl didn't sound happy!
Comment 23 Aurelien Oudelet 2020-09-18 19:28:26 CEST
(In reply to Rod Goslin from comment #21)
> live@localhost ~]$ su
> [root@localhost live]# journalctl -f
> -- Logs begin at Fri 2020-09-18 01:53:14 BST. --
                  
> simple-scan[111362]: common/utils.c 245: unable to load library libm.so: /lib64/libm.so: invalid ELF header
> simple-scan[111362]: common/utils.c 142: unable to find [plugin] version in /var/lib/hp/hplip.state
> simple-scan[111362]: common/utils.c 162: validate_plugin_version() Failed to get Plugin version from
> [/var/lib/hp/hplip.state]
> simple-scan[111362]: common/utils.c 206: Plugin version is not matching
> simple-scan[111362]: common/utils.c 277: Invalid Library handler pLibHandler = NULL.

The only relevant lines are here. Bug is here.
Nice catch, doesn't it?

Seems there is missing plugin related to hplip and version mismatch between packages.

For records, all other errors are related to Plasma and are irrelevant for this bug.

Target Milestone: Mageia 7 => ---
Keywords: (none) => Triaged

Comment 24 Rod Goslin 2020-09-18 20:01:42 CEST
Thanks. That was a nice, quick reply. if this is the case, then a solution may not be far away. I think I might install the beta version on my spare machine (Currently running the Live version), and have a closer look at what Mga 8 has to offer.

Cheers, Rod
Comment 25 Martin Whitaker 2020-09-18 20:47:32 CEST
Testing here with Mageia-8-beta1-Live-Plasma-x86_64.iso, simple-scan opens /lib64/libm.so.6 without error, so I'm inclined to suspect a bad download or bad burn. Let's see if you get the same error when you install. In any case, cauldron has moved on a long way since the beta1 ISOs were created, so you may also get different behaviour if you update the system.

As Mageia 8 is still a long way off, I think we need a hplip update for Mageia 7 to add support for newer hardware.

Source RPM: hplip-3.19.5-1.mga7.src.rpm, shorewall => hplip-3.19.5-1.mga7.src.rpm

Comment 26 Martin Whitaker 2020-09-18 23:21:50 CEST
The following updated packages are available in the Mageia 7 core/updates_testing repository:

hplip-3.20.6-1.mga7.x86_64.rpm
hplip-doc-3.20.6-1.mga7.x86_64.rpm
hplip-gui-3.20.6-1.mga7.x86_64.rpm
hplip-hpijs-3.20.6-1.mga7.x86_64.rpm
hplip-hpijs-ppds-3.20.6-1.mga7.x86_64.rpm
hplip-model-data-3.20.6-1.mga7.x86_64.rpm
lib64hpip0-3.20.6-1.mga7.x86_64.rpm
lib64sane-hpaio1-3.20.6-1.mga7.x86_64.rpm

They work fine with my aged HP printer/scanner. Please test if they work with your hardware.
Comment 27 Rod Goslin 2020-09-18 23:28:49 CEST
I'll have a go. You may be right about a bad burn, Although the Live beta1 did pass read/verification. But trying to burn the full beta version, the DVD drive fell over twice. I've ordered another, but in the meantime I'll burn another on the machine that was running the Live version.
Comment 28 Rod Goslin 2020-09-19 02:55:23 CEST
I've rebuilt the machine, clean, from a fresh download of the beta1 version oof Mga 8. The install was fine. MCC found the printer and installed it fine. Test print ok. MCC scanner setup indicates that there is a scanner on the system and names it correctly.
However simple-scan fails for the same reason as before. I've run journalctl -f and the the output of that is as below:-


[root@upthink rod]# journalctl -f
-- Logs begin at Sat 2020-09-19 02:16:54 BST. --
Sep 19 02:47:11 upthink plasmashell[2305]: file:///usr/share/plasma/plasmoids/org.kde.plasma.kicker/contents/ui/ItemListDialog.qml:51: TypeError: Cannot read property 'separatorCount' of null
Sep 19 02:47:11 upthink plasmashell[2305]: trying to show an empty dialog
Sep 19 02:47:16 upthink plasmashell[2305]: file:///usr/lib64/qt5/qml/org/kde/plasma/components/Highlight.qml:34:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 19 02:47:18 upthink systemd[2052]: Started app-org.kde.konsole-c6e16040d33548f59989b35c16ec0514.scope.
Sep 19 02:47:18 upthink plasmashell[2305]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:285:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 19 02:47:20 upthink xdg-desktop-por[8662]: Failed to get application states: GDBus.Error:org.freedesktop.portal.Error.Failed: Could not get window list
Sep 19 02:47:54 upthink su[8812]: (to root) rod on pts/1
Sep 19 02:47:54 upthink su[8812]: pam_unix(su:session): session opened for user root by rod(uid=1000)
Sep 19 02:48:04 upthink kwin_x11[2261]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 48515, resource id: 56623111, major code: 15 (QueryTree), minor code: 0
Sep 19 02:48:04 upthink kwin_x11[2261]: qt.qpa.xcb: QXcbConnection: XCB error: 3 (BadWindow), sequence: 48520, resource id: 56623111, major code: 18 (ChangeProperty), minor code: 0
Sep 19 02:48:35 upthink systemd[1]: Starting Cleanup of Temporary Directories...
Sep 19 02:48:35 upthink systemd[1]: systemd-tmpfiles-clean.service: Succeeded.
Sep 19 02:48:35 upthink systemd[1]: Finished Cleanup of Temporary Directories.
Sep 19 02:48:53 upthink plasmashell[2305]: file:///usr/share/plasma/plasmoids/org.kde.plasma.taskmanager/contents/ui/Task.qml:285:5: QML Connections: Implicitly defined onFoo properties in Connections are deprecated. Use this syntax instead: function onFoo(<arguments>) { ... }
Sep 19 02:49:12 upthink simple-scan[8901]: common/utils.c 245: unable to load library libm.so: /lib64/libm.so: invalid ELF header
Sep 19 02:49:12 upthink simple-scan[8901]: common/utils.c 142: unable to find [plugin] version in /var/lib/hp/hplip.state
Sep 19 02:49:12 upthink simple-scan[8901]: common/utils.c 162: validate_plugin_version() Failed to get Plugin version from [/var/lib/hp/hplip.state]
Sep 19 02:49:12 upthink simple-scan[8901]: common/utils.c 206: Plugin version is not matching
Sep 19 02:49:12 upthink simple-scan[8901]: common/utils.c 277: Invalid Library hanlder pLibHandler = NULL.

Hope this helps!

Rod
Comment 29 Rod Goslin 2020-09-19 03:11:05 CEST
The machine was fully updated, and re-booted, BTW, after the install.
Comment 30 Martin Whitaker 2020-09-19 10:33:12 CEST
After a little research, it appears the "unable to load library libm.so: /lib64/libm.so: invalid ELF header" error can be ignored. When that fails, the hplip code falls back to loading /lib64/libm.so.6.

I think your problem is that your MFP requires the HP proprietary plugin. See

  https://developers.hp.com/hp-linux-imaging-and-printing/binary_plugin.html

for details. The instructions on how to install the plugin are at the bottom of that page.
Comment 31 Rod Goslin 2020-09-20 06:08:42 CEST
Thanks. That did work ok, and I now have scanning ability on Mga 8 beta, at least. I've even discovered how to change the Shades of Black Gimp to a more rational theme!. On now to see if I can rationalise Mga 7 scanning.

Cheers, Rod
Comment 32 Martin Whitaker 2020-09-25 18:35:59 CEST
Rod, did you test the mga7 hplip update from core/updates_testing? If it works for you, I'll assign it to QA so it can be officially released as an update.
Comment 33 Rod Goslin 2020-09-25 19:14:38 CEST
I've not yet got round to trying hplip on mga 7. I've only the one machine running Mga7, and I'm currently evaluating NordVPN on Windows 7 on that. So far, I'm not overly impressed with NordVPN. Both Windows and Android tend to drop the connection with the server, and fail to re-connect automatically. So no internet connection. I'll reboot into Mga and give it a whirl. Umm, what packages do I need to install, from core/updates_testing? It's not a function I've ever had to try.
Comment 34 Martin Whitaker 2020-09-25 19:25:10 CEST
See comment 26 for the list of RPMs. hplip-doc is optional, but I think you need all the rest. Temporarily enable the "Core Updates Testing" medium and install those packages. Don't forget to disable the "Core Updates Testing" medium afterwards, so you don't accidentally install any other untested updates.

Note You need to log in before you can comment on or make changes to this bug.